IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/28
Addresses2^100
/64 networks2^36
- Network
3fff:400::/28- First address
3fff:400::- Last address
3fff:40f:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 1,267,650,600,228,229,401,496,703,205,376 (2^100)
- /64 networks (LANs)
- 68,719,476,736 (2^36)
- Full form
3fff:0400:0000:0000:0000:0000:0000:0000- Type
- Documentation 3fff::/20
For examples (RFC 9637) - Reverse DNS zone
0.4.0.f.f.f.3.ip6.arpa
Split into smaller subnets
3fff:400::/28 makes 4,096 subnets of /40; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 3fff:400::/40 | 3fff:400:ff:ffff:ffff:ffff:ffff:ffff |
| 2 | 3fff:400:100::/40 | 3fff:400:1ff:ffff:ffff:ffff:ffff:ffff |
| 3 | 3fff:400:200::/40 | 3fff:400:2ff:ffff:ffff:ffff:ffff:ffff |
| 4 | 3fff:400:300::/40 | 3fff:400:3ff:ffff:ffff:ffff:ffff:ffff |
| 5 | 3fff:400:400::/40 | 3fff:400:4ff:ffff:ffff:ffff:ffff:ffff |
| 6 | 3fff:400:500::/40 | 3fff:400:5ff:ffff:ffff:ffff:ffff:ffff |
| 7 | 3fff:400:600::/40 | 3fff:400:6ff:ffff:ffff:ffff:ffff:ffff |
| 8 | 3fff:400:700::/40 | 3fff:400:7ff:ffff:ffff:ffff:ffff:ffff |
| 9 | 3fff:400:800::/40 | 3fff:400:8ff:ffff:ffff:ffff:ffff:ffff |
| 10 | 3fff:400:900::/40 | 3fff:400:9ff:ffff:ffff:ffff:ffff:ffff |
| 11 | 3fff:400:a00::/40 | 3fff:400:aff:ffff:ffff:ffff:ffff:ffff |
| 12 | 3fff:400:b00::/40 | 3fff:400:bff:ffff:ffff:ffff:ffff:ffff |
| 13 | 3fff:400:c00::/40 | 3fff:400:cff:ffff:ffff:ffff:ffff:ffff |
| 14 | 3fff:400:d00::/40 | 3fff:400:dff:ffff:ffff:ffff:ffff:ffff |
| 15 | 3fff:400:e00::/40 | 3fff:400:eff:ffff:ffff:ffff:ffff:ffff |
| 16 | 3fff:400:f00::/40 | 3fff:400:fff:ffff:ffff:ffff:ffff:ffff |
| 17 | 3fff:400:1000::/40 | 3fff:400:10ff:ffff:ffff:ffff:ffff:ffff |
| 18 | 3fff:400:1100::/40 | 3fff:400:11ff:ffff:ffff:ffff:ffff:ffff |
| 19 | 3fff:400:1200::/40 | 3fff:400:12ff:ffff:ffff:ffff:ffff:ffff |
| 20 | 3fff:400:1300::/40 | 3fff:400:13ff:ffff:ffff:ffff:ffff:ffff |
| 21 | 3fff:400:1400::/40 | 3fff:400:14ff:ffff:ffff:ffff:ffff:ffff |
| 22 | 3fff:400:1500::/40 | 3fff:400:15ff:ffff:ffff:ffff:ffff:ffff |
| 23 | 3fff:400:1600::/40 | 3fff:400:16ff:ffff:ffff:ffff:ffff:ffff |
| 24 | 3fff:400:1700::/40 | 3fff:400:17ff:ffff:ffff:ffff:ffff:ffff |
| 25 | 3fff:400:1800::/40 | 3fff:400:18ff:ffff:ffff:ffff:ffff:ffff |
| 26 | 3fff:400:1900::/40 | 3fff:400:19ff:ffff:ffff:ffff:ffff:ffff |
| 27 | 3fff:400:1a00::/40 | 3fff:400:1aff:ffff:ffff:ffff:ffff:ffff |
| 28 | 3fff:400:1b00::/40 | 3fff:400:1bff:ffff:ffff:ffff:ffff:ffff |
| 29 | 3fff:400:1c00::/40 | 3fff:400:1cff:ffff:ffff:ffff:ffff:ffff |
| 30 | 3fff:400:1d00::/40 | 3fff:400:1dff:ffff:ffff:ffff:ffff:ffff |
| 31 | 3fff:400:1e00::/40 | 3fff:400:1eff:ffff:ffff:ffff:ffff:ffff |
| 32 | 3fff:400:1f00::/40 | 3fff:400:1fff:ffff:ffff:ffff:ffff:ffff |
| 33 | 3fff:400:2000::/40 | 3fff:400:20ff:ffff:ffff:ffff:ffff:ffff |
| 34 | 3fff:400:2100::/40 | 3fff:400:21ff:ffff:ffff:ffff:ffff:ffff |
| 35 | 3fff:400:2200::/40 | 3fff:400:22ff:ffff:ffff:ffff:ffff:ffff |
| 36 | 3fff:400:2300::/40 | 3fff:400:23ff:ffff:ffff:ffff:ffff:ffff |
| 37 | 3fff:400:2400::/40 | 3fff:400:24ff:ffff:ffff:ffff:ffff:ffff |
| 38 | 3fff:400:2500::/40 | 3fff:400:25ff:ffff:ffff:ffff:ffff:ffff |
| 39 | 3fff:400:2600::/40 | 3fff:400:26ff:ffff:ffff:ffff:ffff:ffff |
| 40 | 3fff:400:2700::/40 | 3fff:400:27ff:ffff:ffff:ffff:ffff:ffff |
| 41 | 3fff:400:2800::/40 | 3fff:400:28ff:ffff:ffff:ffff:ffff:ffff |
| 42 | 3fff:400:2900::/40 | 3fff:400:29ff:ffff:ffff:ffff:ffff:ffff |
| 43 | 3fff:400:2a00::/40 | 3fff:400:2aff:ffff:ffff:ffff:ffff:ffff |
| 44 | 3fff:400:2b00::/40 | 3fff:400:2bff:ffff:ffff:ffff:ffff:ffff |
| 45 | 3fff:400:2c00::/40 | 3fff:400:2cff:ffff:ffff:ffff:ffff:ffff |
| 46 | 3fff:400:2d00::/40 | 3fff:400:2dff:ffff:ffff:ffff:ffff:ffff |
| 47 | 3fff:400:2e00::/40 | 3fff:400:2eff:ffff:ffff:ffff:ffff:ffff |
| 48 | 3fff:400:2f00::/40 | 3fff:400:2fff:ffff:ffff:ffff:ffff:ffff |
| 49 | 3fff:400:3000::/40 | 3fff:400:30ff:ffff:ffff:ffff:ffff:ffff |
| 50 | 3fff:400:3100::/40 | 3fff:400:31ff:ffff:ffff:ffff:ffff:ffff |
| 51 | 3fff:400:3200::/40 | 3fff:400:32ff:ffff:ffff:ffff:ffff:ffff |
| 52 | 3fff:400:3300::/40 | 3fff:400:33ff:ffff:ffff:ffff:ffff:ffff |
| 53 | 3fff:400:3400::/40 | 3fff:400:34ff:ffff:ffff:ffff:ffff:ffff |
| 54 | 3fff:400:3500::/40 | 3fff:400:35ff:ffff:ffff:ffff:ffff:ffff |
| 55 | 3fff:400:3600::/40 | 3fff:400:36ff:ffff:ffff:ffff:ffff:ffff |
| 56 | 3fff:400:3700::/40 | 3fff:400:37ff:ffff:ffff:ffff:ffff:ffff |
| 57 | 3fff:400:3800::/40 | 3fff:400:38ff:ffff:ffff:ffff:ffff:ffff |
| 58 | 3fff:400:3900::/40 | 3fff:400:39ff:ffff:ffff:ffff:ffff:ffff |
| 59 | 3fff:400:3a00::/40 | 3fff:400:3aff:ffff:ffff:ffff:ffff:ffff |
| 60 | 3fff:400:3b00::/40 | 3fff:400:3bff:ffff:ffff:ffff:ffff:ffff |
| 61 | 3fff:400:3c00::/40 | 3fff:400:3cff:ffff:ffff:ffff:ffff:ffff |
| 62 | 3fff:400:3d00::/40 | 3fff:400:3dff:ffff:ffff:ffff:ffff:ffff |
| 63 | 3fff:400:3e00::/40 | 3fff:400:3eff:ffff:ffff:ffff:ffff:ffff |
| 64 | 3fff:400:3f00::/40 | 3fff:400:3fff:ffff:ffff:ffff:ffff:ffff |
| 65 | 3fff:400:4000::/40 | 3fff:400:40ff:ffff:ffff:ffff:ffff:ffff |
| 66 | 3fff:400:4100::/40 | 3fff:400:41ff:ffff:ffff:ffff:ffff:ffff |
| 67 | 3fff:400:4200::/40 | 3fff:400:42ff:ffff:ffff:ffff:ffff:ffff |
| 68 | 3fff:400:4300::/40 | 3fff:400:43ff:ffff:ffff:ffff:ffff:ffff |
| 69 | 3fff:400:4400::/40 | 3fff:400:44ff:ffff:ffff:ffff:ffff:ffff |
| 70 | 3fff:400:4500::/40 | 3fff:400:45ff:ffff:ffff:ffff:ffff:ffff |
| 71 | 3fff:400:4600::/40 | 3fff:400:46ff:ffff:ffff:ffff:ffff:ffff |
| 72 | 3fff:400:4700::/40 | 3fff:400:47ff:ffff:ffff:ffff:ffff:ffff |
| 73 | 3fff:400:4800::/40 | 3fff:400:48ff:ffff:ffff:ffff:ffff:ffff |
| 74 | 3fff:400:4900::/40 | 3fff:400:49ff:ffff:ffff:ffff:ffff:ffff |
| 75 | 3fff:400:4a00::/40 | 3fff:400:4aff:ffff:ffff:ffff:ffff:ffff |
| 76 | 3fff:400:4b00::/40 | 3fff:400:4bff:ffff:ffff:ffff:ffff:ffff |
| 77 | 3fff:400:4c00::/40 | 3fff:400:4cff:ffff:ffff:ffff:ffff:ffff |
| 78 | 3fff:400:4d00::/40 | 3fff:400:4dff:ffff:ffff:ffff:ffff:ffff |
| 79 | 3fff:400:4e00::/40 | 3fff:400:4eff:ffff:ffff:ffff:ffff:ffff |
| 80 | 3fff:400:4f00::/40 | 3fff:400:4fff:ffff:ffff:ffff:ffff:ffff |
| 81 | 3fff:400:5000::/40 | 3fff:400:50ff:ffff:ffff:ffff:ffff:ffff |
| 82 | 3fff:400:5100::/40 | 3fff:400:51ff:ffff:ffff:ffff:ffff:ffff |
| 83 | 3fff:400:5200::/40 | 3fff:400:52ff:ffff:ffff:ffff:ffff:ffff |
| 84 | 3fff:400:5300::/40 | 3fff:400:53ff:ffff:ffff:ffff:ffff:ffff |
| 85 | 3fff:400:5400::/40 | 3fff:400:54ff:ffff:ffff:ffff:ffff:ffff |
| 86 | 3fff:400:5500::/40 | 3fff:400:55ff:ffff:ffff:ffff:ffff:ffff |
| 87 | 3fff:400:5600::/40 | 3fff:400:56ff:ffff:ffff:ffff:ffff:ffff |
| 88 | 3fff:400:5700::/40 | 3fff:400:57ff:ffff:ffff:ffff:ffff:ffff |
| 89 | 3fff:400:5800::/40 | 3fff:400:58ff:ffff:ffff:ffff:ffff:ffff |
| 90 | 3fff:400:5900::/40 | 3fff:400:59ff:ffff:ffff:ffff:ffff:ffff |
| 91 | 3fff:400:5a00::/40 | 3fff:400:5aff:ffff:ffff:ffff:ffff:ffff |
| 92 | 3fff:400:5b00::/40 | 3fff:400:5bff:ffff:ffff:ffff:ffff:ffff |
| 93 | 3fff:400:5c00::/40 | 3fff:400:5cff:ffff:ffff:ffff:ffff:ffff |
| 94 | 3fff:400:5d00::/40 | 3fff:400:5dff:ffff:ffff:ffff:ffff:ffff |
| 95 | 3fff:400:5e00::/40 | 3fff:400:5eff:ffff:ffff:ffff:ffff:ffff |
| 96 | 3fff:400:5f00::/40 | 3fff:400:5fff:ffff:ffff:ffff:ffff:ffff |
| 97 | 3fff:400:6000::/40 | 3fff:400:60ff:ffff:ffff:ffff:ffff:ffff |
| 98 | 3fff:400:6100::/40 | 3fff:400:61ff:ffff:ffff:ffff:ffff:ffff |
| 99 | 3fff:400:6200::/40 | 3fff:400:62ff:ffff:ffff:ffff:ffff:ffff |
| 100 | 3fff:400:6300::/40 | 3fff:400:63ff:ffff:ffff:ffff:ffff:ffff |
| 101 | 3fff:400:6400::/40 | 3fff:400:64ff:ffff:ffff:ffff:ffff:ffff |
| 102 | 3fff:400:6500::/40 | 3fff:400:65ff:ffff:ffff:ffff:ffff:ffff |
| 103 | 3fff:400:6600::/40 | 3fff:400:66ff:ffff:ffff:ffff:ffff:ffff |
| 104 | 3fff:400:6700::/40 | 3fff:400:67ff:ffff:ffff:ffff:ffff:ffff |
| 105 | 3fff:400:6800::/40 | 3fff:400:68ff:ffff:ffff:ffff:ffff:ffff |
| 106 | 3fff:400:6900::/40 | 3fff:400:69ff:ffff:ffff:ffff:ffff:ffff |
| 107 | 3fff:400:6a00::/40 | 3fff:400:6aff:ffff:ffff:ffff:ffff:ffff |
| 108 | 3fff:400:6b00::/40 | 3fff:400:6bff:ffff:ffff:ffff:ffff:ffff |
| 109 | 3fff:400:6c00::/40 | 3fff:400:6cff:ffff:ffff:ffff:ffff:ffff |
| 110 | 3fff:400:6d00::/40 | 3fff:400:6dff:ffff:ffff:ffff:ffff:ffff |
| 111 | 3fff:400:6e00::/40 | 3fff:400:6eff:ffff:ffff:ffff:ffff:ffff |
| 112 | 3fff:400:6f00::/40 | 3fff:400:6fff:ffff:ffff:ffff:ffff:ffff |
| 113 | 3fff:400:7000::/40 | 3fff:400:70ff:ffff:ffff:ffff:ffff:ffff |
| 114 | 3fff:400:7100::/40 | 3fff:400:71ff:ffff:ffff:ffff:ffff:ffff |
| 115 | 3fff:400:7200::/40 | 3fff:400:72ff:ffff:ffff:ffff:ffff:ffff |
| 116 | 3fff:400:7300::/40 | 3fff:400:73ff:ffff:ffff:ffff:ffff:ffff |
| 117 | 3fff:400:7400::/40 | 3fff:400:74ff:ffff:ffff:ffff:ffff:ffff |
| 118 | 3fff:400:7500::/40 | 3fff:400:75ff:ffff:ffff:ffff:ffff:ffff |
| 119 | 3fff:400:7600::/40 | 3fff:400:76ff:ffff:ffff:ffff:ffff:ffff |
| 120 | 3fff:400:7700::/40 | 3fff:400:77ff:ffff:ffff:ffff:ffff:ffff |
| 121 | 3fff:400:7800::/40 | 3fff:400:78ff:ffff:ffff:ffff:ffff:ffff |
| 122 | 3fff:400:7900::/40 | 3fff:400:79ff:ffff:ffff:ffff:ffff:ffff |
| 123 | 3fff:400:7a00::/40 | 3fff:400:7aff:ffff:ffff:ffff:ffff:ffff |
| 124 | 3fff:400:7b00::/40 | 3fff:400:7bff:ffff:ffff:ffff:ffff:ffff |
| 125 | 3fff:400:7c00::/40 | 3fff:400:7cff:ffff:ffff:ffff:ffff:ffff |
| 126 | 3fff:400:7d00::/40 | 3fff:400:7dff:ffff:ffff:ffff:ffff:ffff |
| 127 | 3fff:400:7e00::/40 | 3fff:400:7eff:ffff:ffff:ffff:ffff:ffff |
| 128 | 3fff:400:7f00::/40 | 3fff:400:7fff:ffff:ffff:ffff:ffff:ffff |
| 129 | 3fff:400:8000::/40 | 3fff:400:80ff:ffff:ffff:ffff:ffff:ffff |
| 130 | 3fff:400:8100::/40 | 3fff:400:81ff:ffff:ffff:ffff:ffff:ffff |
| 131 | 3fff:400:8200::/40 | 3fff:400:82ff:ffff:ffff:ffff:ffff:ffff |
| 132 | 3fff:400:8300::/40 | 3fff:400:83ff:ffff:ffff:ffff:ffff:ffff |
| 133 | 3fff:400:8400::/40 | 3fff:400:84ff:ffff:ffff:ffff:ffff:ffff |
| 134 | 3fff:400:8500::/40 | 3fff:400:85ff:ffff:ffff:ffff:ffff:ffff |
| 135 | 3fff:400:8600::/40 | 3fff:400:86ff:ffff:ffff:ffff:ffff:ffff |
| 136 | 3fff:400:8700::/40 | 3fff:400:87ff:ffff:ffff:ffff:ffff:ffff |
| 137 | 3fff:400:8800::/40 | 3fff:400:88ff:ffff:ffff:ffff:ffff:ffff |
| 138 | 3fff:400:8900::/40 | 3fff:400:89ff:ffff:ffff:ffff:ffff:ffff |
| 139 | 3fff:400:8a00::/40 | 3fff:400:8aff:ffff:ffff:ffff:ffff:ffff |
| 140 | 3fff:400:8b00::/40 | 3fff:400:8bff:ffff:ffff:ffff:ffff:ffff |
| 141 | 3fff:400:8c00::/40 | 3fff:400:8cff:ffff:ffff:ffff:ffff:ffff |
| 142 | 3fff:400:8d00::/40 | 3fff:400:8dff:ffff:ffff:ffff:ffff:ffff |
| 143 | 3fff:400:8e00::/40 | 3fff:400:8eff:ffff:ffff:ffff:ffff:ffff |
| 144 | 3fff:400:8f00::/40 | 3fff:400:8fff:ffff:ffff:ffff:ffff:ffff |
| 145 | 3fff:400:9000::/40 | 3fff:400:90ff:ffff:ffff:ffff:ffff:ffff |
| 146 | 3fff:400:9100::/40 | 3fff:400:91ff:ffff:ffff:ffff:ffff:ffff |
| 147 | 3fff:400:9200::/40 | 3fff:400:92ff:ffff:ffff:ffff:ffff:ffff |
| 148 | 3fff:400:9300::/40 | 3fff:400:93ff:ffff:ffff:ffff:ffff:ffff |
| 149 | 3fff:400:9400::/40 | 3fff:400:94ff:ffff:ffff:ffff:ffff:ffff |
| 150 | 3fff:400:9500::/40 | 3fff:400:95ff:ffff:ffff:ffff:ffff:ffff |
| 151 | 3fff:400:9600::/40 | 3fff:400:96ff:ffff:ffff:ffff:ffff:ffff |
| 152 | 3fff:400:9700::/40 | 3fff:400:97ff:ffff:ffff:ffff:ffff:ffff |
| 153 | 3fff:400:9800::/40 | 3fff:400:98ff:ffff:ffff:ffff:ffff:ffff |
| 154 | 3fff:400:9900::/40 | 3fff:400:99ff:ffff:ffff:ffff:ffff:ffff |
| 155 | 3fff:400:9a00::/40 | 3fff:400:9aff:ffff:ffff:ffff:ffff:ffff |
| 156 | 3fff:400:9b00::/40 | 3fff:400:9bff:ffff:ffff:ffff:ffff:ffff |
| 157 | 3fff:400:9c00::/40 | 3fff:400:9cff:ffff:ffff:ffff:ffff:ffff |
| 158 | 3fff:400:9d00::/40 | 3fff:400:9dff:ffff:ffff:ffff:ffff:ffff |
| 159 | 3fff:400:9e00::/40 | 3fff:400:9eff:ffff:ffff:ffff:ffff:ffff |
| 160 | 3fff:400:9f00::/40 | 3fff:400:9fff:ffff:ffff:ffff:ffff:ffff |
| 161 | 3fff:400:a000::/40 | 3fff:400:a0ff:ffff:ffff:ffff:ffff:ffff |
| 162 | 3fff:400:a100::/40 | 3fff:400:a1ff:ffff:ffff:ffff:ffff:ffff |
| 163 | 3fff:400:a200::/40 | 3fff:400:a2ff:ffff:ffff:ffff:ffff:ffff |
| 164 | 3fff:400:a300::/40 | 3fff:400:a3ff:ffff:ffff:ffff:ffff:ffff |
| 165 | 3fff:400:a400::/40 | 3fff:400:a4ff:ffff:ffff:ffff:ffff:ffff |
| 166 | 3fff:400:a500::/40 | 3fff:400:a5ff:ffff:ffff:ffff:ffff:ffff |
| 167 | 3fff:400:a600::/40 | 3fff:400:a6ff:ffff:ffff:ffff:ffff:ffff |
| 168 | 3fff:400:a700::/40 | 3fff:400:a7ff:ffff:ffff:ffff:ffff:ffff |
| 169 | 3fff:400:a800::/40 | 3fff:400:a8ff:ffff:ffff:ffff:ffff:ffff |
| 170 | 3fff:400:a900::/40 | 3fff:400:a9ff:ffff:ffff:ffff:ffff:ffff |
| 171 | 3fff:400:aa00::/40 | 3fff:400:aaff:ffff:ffff:ffff:ffff:ffff |
| 172 | 3fff:400:ab00::/40 | 3fff:400:abff:ffff:ffff:ffff:ffff:ffff |
| 173 | 3fff:400:ac00::/40 | 3fff:400:acff:ffff:ffff:ffff:ffff:ffff |
| 174 | 3fff:400:ad00::/40 | 3fff:400:adff:ffff:ffff:ffff:ffff:ffff |
| 175 | 3fff:400:ae00::/40 | 3fff:400:aeff:ffff:ffff:ffff:ffff:ffff |
| 176 | 3fff:400:af00::/40 | 3fff:400:afff:ffff:ffff:ffff:ffff:ffff |
| 177 | 3fff:400:b000::/40 | 3fff:400:b0ff:ffff:ffff:ffff:ffff:ffff |
| 178 | 3fff:400:b100::/40 | 3fff:400:b1ff:ffff:ffff:ffff:ffff:ffff |
| 179 | 3fff:400:b200::/40 | 3fff:400:b2ff:ffff:ffff:ffff:ffff:ffff |
| 180 | 3fff:400:b300::/40 | 3fff:400:b3ff:ffff:ffff:ffff:ffff:ffff |
| 181 | 3fff:400:b400::/40 | 3fff:400:b4ff:ffff:ffff:ffff:ffff:ffff |
| 182 | 3fff:400:b500::/40 | 3fff:400:b5ff:ffff:ffff:ffff:ffff:ffff |
| 183 | 3fff:400:b600::/40 | 3fff:400:b6ff:ffff:ffff:ffff:ffff:ffff |
| 184 | 3fff:400:b700::/40 | 3fff:400:b7ff:ffff:ffff:ffff:ffff:ffff |
| 185 | 3fff:400:b800::/40 | 3fff:400:b8ff:ffff:ffff:ffff:ffff:ffff |
| 186 | 3fff:400:b900::/40 | 3fff:400:b9ff:ffff:ffff:ffff:ffff:ffff |
| 187 | 3fff:400:ba00::/40 | 3fff:400:baff:ffff:ffff:ffff:ffff:ffff |
| 188 | 3fff:400:bb00::/40 | 3fff:400:bbff:ffff:ffff:ffff:ffff:ffff |
| 189 | 3fff:400:bc00::/40 | 3fff:400:bcff:ffff:ffff:ffff:ffff:ffff |
| 190 | 3fff:400:bd00::/40 | 3fff:400:bdff:ffff:ffff:ffff:ffff:ffff |
| 191 | 3fff:400:be00::/40 | 3fff:400:beff:ffff:ffff:ffff:ffff:ffff |
| 192 | 3fff:400:bf00::/40 | 3fff:400:bfff:ffff:ffff:ffff:ffff:ffff |
| 193 | 3fff:400:c000::/40 | 3fff:400:c0ff:ffff:ffff:ffff:ffff:ffff |
| 194 | 3fff:400:c100::/40 | 3fff:400:c1ff:ffff:ffff:ffff:ffff:ffff |
| 195 | 3fff:400:c200::/40 | 3fff:400:c2ff:ffff:ffff:ffff:ffff:ffff |
| 196 | 3fff:400:c300::/40 | 3fff:400:c3ff:ffff:ffff:ffff:ffff:ffff |
| 197 | 3fff:400:c400::/40 | 3fff:400:c4ff:ffff:ffff:ffff:ffff:ffff |
| 198 | 3fff:400:c500::/40 | 3fff:400:c5ff:ffff:ffff:ffff:ffff:ffff |
| 199 | 3fff:400:c600::/40 | 3fff:400:c6ff:ffff:ffff:ffff:ffff:ffff |
| 200 | 3fff:400:c700::/40 | 3fff:400:c7ff:ffff:ffff:ffff:ffff:ffff |
| 201 | 3fff:400:c800::/40 | 3fff:400:c8ff:ffff:ffff:ffff:ffff:ffff |
| 202 | 3fff:400:c900::/40 | 3fff:400:c9ff:ffff:ffff:ffff:ffff:ffff |
| 203 | 3fff:400:ca00::/40 | 3fff:400:caff:ffff:ffff:ffff:ffff:ffff |
| 204 | 3fff:400:cb00::/40 | 3fff:400:cbff:ffff:ffff:ffff:ffff:ffff |
| 205 | 3fff:400:cc00::/40 | 3fff:400:ccff:ffff:ffff:ffff:ffff:ffff |
| 206 | 3fff:400:cd00::/40 | 3fff:400:cdff:ffff:ffff:ffff:ffff:ffff |
| 207 | 3fff:400:ce00::/40 | 3fff:400:ceff:ffff:ffff:ffff:ffff:ffff |
| 208 | 3fff:400:cf00::/40 | 3fff:400:cfff:ffff:ffff:ffff:ffff:ffff |
| 209 | 3fff:400:d000::/40 | 3fff:400:d0ff:ffff:ffff:ffff:ffff:ffff |
| 210 | 3fff:400:d100::/40 | 3fff:400:d1ff:ffff:ffff:ffff:ffff:ffff |
| 211 | 3fff:400:d200::/40 | 3fff:400:d2ff:ffff:ffff:ffff:ffff:ffff |
| 212 | 3fff:400:d300::/40 | 3fff:400:d3ff:ffff:ffff:ffff:ffff:ffff |
| 213 | 3fff:400:d400::/40 | 3fff:400:d4ff:ffff:ffff:ffff:ffff:ffff |
| 214 | 3fff:400:d500::/40 | 3fff:400:d5ff:ffff:ffff:ffff:ffff:ffff |
| 215 | 3fff:400:d600::/40 | 3fff:400:d6ff:ffff:ffff:ffff:ffff:ffff |
| 216 | 3fff:400:d700::/40 | 3fff:400:d7ff:ffff:ffff:ffff:ffff:ffff |
| 217 | 3fff:400:d800::/40 | 3fff:400:d8ff:ffff:ffff:ffff:ffff:ffff |
| 218 | 3fff:400:d900::/40 | 3fff:400:d9ff:ffff:ffff:ffff:ffff:ffff |
| 219 | 3fff:400:da00::/40 | 3fff:400:daff:ffff:ffff:ffff:ffff:ffff |
| 220 | 3fff:400:db00::/40 | 3fff:400:dbff:ffff:ffff:ffff:ffff:ffff |
| 221 | 3fff:400:dc00::/40 | 3fff:400:dcff:ffff:ffff:ffff:ffff:ffff |
| 222 | 3fff:400:dd00::/40 | 3fff:400:ddff:ffff:ffff:ffff:ffff:ffff |
| 223 | 3fff:400:de00::/40 | 3fff:400:deff:ffff:ffff:ffff:ffff:ffff |
| 224 | 3fff:400:df00::/40 | 3fff:400:dfff:ffff:ffff:ffff:ffff:ffff |
| 225 | 3fff:400:e000::/40 | 3fff:400:e0ff:ffff:ffff:ffff:ffff:ffff |
| 226 | 3fff:400:e100::/40 | 3fff:400:e1ff:ffff:ffff:ffff:ffff:ffff |
| 227 | 3fff:400:e200::/40 | 3fff:400:e2ff:ffff:ffff:ffff:ffff:ffff |
| 228 | 3fff:400:e300::/40 | 3fff:400:e3ff:ffff:ffff:ffff:ffff:ffff |
| 229 | 3fff:400:e400::/40 | 3fff:400:e4ff:ffff:ffff:ffff:ffff:ffff |
| 230 | 3fff:400:e500::/40 | 3fff:400:e5ff:ffff:ffff:ffff:ffff:ffff |
| 231 | 3fff:400:e600::/40 | 3fff:400:e6ff:ffff:ffff:ffff:ffff:ffff |
| 232 | 3fff:400:e700::/40 | 3fff:400:e7ff:ffff:ffff:ffff:ffff:ffff |
| 233 | 3fff:400:e800::/40 | 3fff:400:e8ff:ffff:ffff:ffff:ffff:ffff |
| 234 | 3fff:400:e900::/40 | 3fff:400:e9ff:ffff:ffff:ffff:ffff:ffff |
| 235 | 3fff:400:ea00::/40 | 3fff:400:eaff:ffff:ffff:ffff:ffff:ffff |
| 236 | 3fff:400:eb00::/40 | 3fff:400:ebff:ffff:ffff:ffff:ffff:ffff |
| 237 | 3fff:400:ec00::/40 | 3fff:400:ecff:ffff:ffff:ffff:ffff:ffff |
| 238 | 3fff:400:ed00::/40 | 3fff:400:edff:ffff:ffff:ffff:ffff:ffff |
| 239 | 3fff:400:ee00::/40 | 3fff:400:eeff:ffff:ffff:ffff:ffff:ffff |
| 240 | 3fff:400:ef00::/40 | 3fff:400:efff:ffff:ffff:ffff:ffff:ffff |
| 241 | 3fff:400:f000::/40 | 3fff:400:f0ff:ffff:ffff:ffff:ffff:ffff |
| 242 | 3fff:400:f100::/40 | 3fff:400:f1ff:ffff:ffff:ffff:ffff:ffff |
| 243 | 3fff:400:f200::/40 | 3fff:400:f2ff:ffff:ffff:ffff:ffff:ffff |
| 244 | 3fff:400:f300::/40 | 3fff:400:f3ff:ffff:ffff:ffff:ffff:ffff |
| 245 | 3fff:400:f400::/40 | 3fff:400:f4ff:ffff:ffff:ffff:ffff:ffff |
| 246 | 3fff:400:f500::/40 | 3fff:400:f5ff:ffff:ffff:ffff:ffff:ffff |
| 247 | 3fff:400:f600::/40 | 3fff:400:f6ff:ffff:ffff:ffff:ffff:ffff |
| 248 | 3fff:400:f700::/40 | 3fff:400:f7ff:ffff:ffff:ffff:ffff:ffff |
| 249 | 3fff:400:f800::/40 | 3fff:400:f8ff:ffff:ffff:ffff:ffff:ffff |
| 250 | 3fff:400:f900::/40 | 3fff:400:f9ff:ffff:ffff:ffff:ffff:ffff |
| 251 | 3fff:400:fa00::/40 | 3fff:400:faff:ffff:ffff:ffff:ffff:ffff |
| 252 | 3fff:400:fb00::/40 | 3fff:400:fbff:ffff:ffff:ffff:ffff:ffff |
| 253 | 3fff:400:fc00::/40 | 3fff:400:fcff:ffff:ffff:ffff:ffff:ffff |
| 254 | 3fff:400:fd00::/40 | 3fff:400:fdff:ffff:ffff:ffff:ffff:ffff |
| 255 | 3fff:400:fe00::/40 | 3fff:400:feff:ffff:ffff:ffff:ffff:ffff |
| 256 | 3fff:400:ff00::/40 | 3fff:400:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |